SUMMARY = "Virtual Machine IPC"
DESCRIPTION = "This creates a static library of messaging routines \
that use shared memory for transport"

LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=86c71058360511e4a94cf5014bfe9d30"

SRC_URI = "file://COPYING \
           file://vmipc.h \
           file://ipc.c \
           file://ivshm.c \
           file://Makefile \
          "

S = "${WORKDIR}/"

ALLOW_EMPTY_${PN} = "1"

do_compile() {
	oe_runmake all
}

do_install() {
	install -d ${D}/${libdir}
	install -m 0644 libvmipc.a ${D}/${libdir}
	install -d ${D}/${includedir}
	install -m 0644 vmipc.h ${D}/${includedir}
}
